local AddonName = ...

local function UpdateProfiles(IsFauxMazzleChar)
	for k,_ in pairs(RecountDB.profileKeys) do -- loop through all Skada profiles
		if IsFauxMazzleChar("-", k) then -- Is this character also a FauxMazzle Character (not required if you want to update all)
			RecountDB.profileKeys[k] = "FauxMazzle" -- Apply the FauxMazzzle profile to the character
		end
	end
end

local function ConfigureRecount(character, realm)
	if not RecountDB.profiles.FauxMazzle then
		RecountDB.profiles.FauxMazzle = { -- Setup a universal profile for all characters if it doesn't exist (Doesn't have to be FauxMazzle)
			["GraphWindowY"] = 0,
			["MainWindow"] = {
				["Buttons"] = {
					["CloseButton"] = false,
					["ReportButton"] = false,
				},
				["Position"] = {
					["y"] = -500.7058258056641,
					["x"] = 858.0881958007813,
					["w"] = 187.0002136230469,
					["h"] = 140.5883483886719,
				},
				["BarText"] = {
					["PerSec"] = false,
				},
			},
			["ConfirmDeleteInstance"] = false,
			["Colors"] = {
				["Window"] = {
					["Title Text"] = {
						["a"] = 0,
					},
					["Title"] = {
						["a"] = 0,
					},
				},
				["Bar"] = {
					["Bar Text"] = {
						["a"] = 1,
					},
					["Total Bar"] = {
						["a"] = 1,
					},
				},
			},
			["DetailWindowY"] = 0,
			["ConfirmDeleteGroup"] = false,
			["DetailWindowX"] = 0,
			["GraphWindowX"] = 0,
			["Locked"] = true,
			["LastInstanceName"] = "Alterac Valley",
			["BarTexture"] = "BantoBarReverse",
			["ConfirmDeleteRaid"] = false,
			["CurDataSet"] = "OverallData",
			["MainWindowHeight"] = 140.5883483886719,
			["MainWindowWidth"] = 187.0002136230469,
			["BarTextColorSwap"] = false,
		}
	end
	Recount.db:SetProfile("FauxMazzle") -- Set character to use the "universal" profile
	Recount.MainWindow.ClearAllPoints = function() end -- Anything else that might be needed for first time setup (used because Recount is the default)
	Recount.MainWindow.SetPoint = function() end
	Recount.MainWindow:Show()
	if Recount_ConfigWindow and Recount_ConfigWindow:IsShown() then
		Recount_ConfigWindow.CloseButton:GetScript("OnClick")(Recount_ConfigWindow.CloseButton)
	end
end

------------------------------------------------------------------------------------------
-- NOTE: All key labels (Frame, Run, Offsets, x, y) are case sensitive!!! 		--
--	With the exception of "Frame", all other labels can be omitted.			--
--											--
--	Run: when new characters to FauxMazzlet are configured (create/set profile)	--
--	UpdateProfiles: Apply "new" profile settings to characters in the addon		--
------------------------------------------------------------------------------------------
FauxMazzleUI[AddonName]= {
	Frame = "Recount_MainWindow",
	Run = ConfigureRecount,
	UpdateProfiles = UpdateProfiles, 
	Offsets = {
		TopLeft = { x=0, y=13 },
--		BottomRight = { x=0, y=0 },
	}
}
